.header {
    top: 0;
    left: 0;
    right: 0;
    z-index: 1300;
    padding: 25px 0;
    position: absolute;
    background: transparent;
    font-family: $font-family-primary;

    &__wrap {
        padding-right: 70px;
        position: relative;
        display: flex;
        align-items: center;
        justify-content: space-between;
    }

    &__content {
        display: flex;
        align-items: center;
    }

    &__logo {
        width: 107px;
        font-size: 0;
        line-height: 0;
        display: block;
        flex-shrink: 0;
    }

    &__hamburger {
        top: 0;
        right: 0;
        font-size: 0;
        line-height: 0;
        display: block;
        position: absolute;
    }

    &__nav {
        display: none;
    }

    &__buttons {
        margin: 0;
        padding: 0;
        list-style: none;
        display: flex;
        align-items: center;

        li {

            &:last-child {
                display: none;
            }
        }
    }

    @include media-breakpoint-up(md) {
        padding: 30px 0;

        &__wrap {
            padding-right: 0;
        }

        &__logo {
            width: 119px;
        }

        &__buttons {

            li {

                &:last-child {
                    display: block;
                    margin-left: 20px;
                }
            }
        }

        &__hamburger {
            top: auto;
            right: auto;
            position: relative;
        }
    }

    @include media-breakpoint-up(lg) {


    }

    @include media-breakpoint-up(xl) {

        &__hamburger {
            display: none;
        }

        &__logo {
            width: 125px;
        }

        &__nav {
            margin-left: 60px;
            display: block;
            font-weight: 500;
            font-size: size-rel(13px);
            line-height: size-rel(17px);

            ul {
                margin: 0;
                padding: 0;
                list-style: none;
                display: flex;
                align-items: center;
                white-space: nowrap;

                li {

                    &:not(:last-child) {
                        margin-right: 47px;
                    }

                    a {
                        color: $white;
                        text-decoration: none;
                        text-transform: uppercase;

                        &:hover {
                            color: $pink;
                            text-decoration: none;
                        }
                    }
                }
            }
        }

        &__buttons {

            li {

                &:last-child {

                    .btn {
                        padding-left: 34px;
                        padding-right: 34px;
                    }
                }
            }
        }
    }

    @include media-breakpoint-up(xxl) {}
}

.hamburger {
    width: 40px;
    height: 40px;
    margin: 0;
    padding: 0;
    font-size: 0;
    line-height: 0;
    outline: none;
    display: block;
    cursor: pointer;
    text-align: right;
    background: $dark;
    position: relative;
    border: 2px solid $white;

    span,
    &:after,
    &:before {
        left: calc(50% - 11px);
        width: 22px;
        height: 2px;
        content: '';
        display: inline-block;
        position: absolute;
        transition-property: transform;
        transition-duration: .15s;
        transition-timing-function: ease;
        border-radius: 3px;
        background-color: $white;
    }

    span {
        top: calc(50% - 1px);
    }

    &:after {
        top: calc(50% - 8px);
    }

    &:before {
        bottom: calc(50% - 8px);
    }

    &.hamburger--open {

    }
}

.mobile-nav-layout {
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    z-index: 1200;
    opacity: 0;
    visibility: hidden;
    position: fixed;
    backdrop-filter: blur(10px);
    background: rgba(0, 0, 0, 0.6);
    transition: .3s;

    @include media-breakpoint-up(xl) {
        display: none;
    }
}

.mobile-nav {
    top: 0;
    right: 0;
    bottom: 0;
    width: 220px;
    z-index: 1250;
    position: fixed;
    background: $dark;
    padding: 100px 10px 30px 30px;
    font-weight: 500;
    font-size: size-rel(13px);
    line-height: size-rel(17px);
    text-transform: uppercase;
    transition: .3s;
    transform: translateX(230px);

    ul {
        margin: 0;
        padding: 0;
        list-style: none;

        li {

            &:not(:last-child) {
                margin-bottom: 28px;
            }

            a {
                color: $white;
                text-decoration: none;

                &:hover {
                    color: $pink;
                    text-decoration: none;
                }
            }
        }
    }

    @include media-breakpoint-up(sm) {
        width: 282px;
        transform: translateX(290px);
    }

    @include media-breakpoint-up(xl) {
        display: none;
    }
}

.nav-open {
    height: 100%;
    overflow: hidden;

    .mobile-nav {
        transform: translateX(0px);
        transition: .3s;
    }

    .mobile-nav-layout {
        opacity: 1;
        visibility: visible;
        transition: .3s;
    }

    .hamburger {

        span {
            opacity: 0;
            visibility: hidden;
        }

        &:after {
            transform: translateY(7px) translateX(0) rotate(45deg);
        }

        &:before {
            transform: translateY(-7px) translateX(0) rotate(-45deg);
        }
    }
}
